Package org.spongepowered.asm.service

## Interface IClassProvider

-     public interface IClassProvider

  Interface for marshal object which can retrieve classes from the environment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `findAgentClass​(java.lang.String name, boolean initialize)` | Marshal a call to `Class.forName` for an agent class
    `java.lang.Class<?>` | `findClass​(java.lang.String name)` | Find a class in the service classloader
    `java.lang.Class<?>` | `findClass​(java.lang.String name, boolean initialize)` | Marshal a call to `Class.forName` for a regular class
    `java.net.URL[]` | `getClassPath()` | Deprecated. As of 0.8, use of this method is not a sensible way to access available containers.

- - ### Method Detail

    - #### getClassPath

          @Deprecated
          java.net.URL[] getClassPath()

      Deprecated.
      As of 0.8, use of this method is not a sensible way to access available containers.
      Get the current classpath from the service classloader

    - #### findClass

          java.lang.Class<?> findClass​(java.lang.String name)
                                throws java.lang.ClassNotFoundException

      Find a class in the service classloader
      Parameters:
        `name` - class name
      Returns:
        resultant class
      Throws:
        `java.lang.ClassNotFoundException` - if the class was not found

    - #### findClass

          java.lang.Class<?> findClass​(java.lang.String name,
                                       boolean initialize)
                                throws java.lang.ClassNotFoundException

      Marshal a call to `Class.forName` for a regular class
      Parameters:
        `name` - class name
        `initialize` - init flag
      Returns:
        Klass
      Throws:
        `java.lang.ClassNotFoundException`

    - #### findAgentClass

          java.lang.Class<?> findAgentClass​(java.lang.String name,
                                            boolean initialize)
                                     throws java.lang.ClassNotFoundException

      Marshal a call to `Class.forName` for an agent class
      Parameters:
        `name` - agent class name
        `initialize` - init flag
      Returns:
        Klass
      Throws:
        `java.lang.ClassNotFoundException`